Bug 1335238 - backport the Handle lack of diskSizeGB property in Azure for inventory collection fix
Summary: backport the Handle lack of diskSizeGB property in Azure for inventory collec...
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.5.0
Hardware: All
OS: All
unspecified
medium
Target Milestone: GA
: 5.6.0
Assignee: Daniel Berger
QA Contact: Jeff Teehan
URL:
Whiteboard:
Depends On:
Blocks: 1335573
TreeView+ depends on / blocked
 
Reported: 2016-05-11 15:59 UTC by Felix Dewaleyne
Modified: 2019-11-14 08:00 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1335573 (view as bug list)
Environment:
Last Closed: 2016-05-12 14:35:06 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)

Description Felix Dewaleyne 2016-05-11 15:59:43 UTC
Description of problem:
a customer is affected by the same issue as http://talk.manageiq.org/t/azure-provider-refresh-issue/1388/4 and reported being able to fix their appliance with the fix listed on that page

Version-Release number of selected component (if applicable):
5.5.4.5
.
How reproducible:
all the time

Steps to Reproduce:
1. happens during refrshes of an azure provider
2.
3.

Actual results:
 undefined method `disk_size_gb' for #<#<Class:0x000000028f0370>:0x000000028cf9b8>

Expected results:
refresh finishes

Additional info:
applying the fix of http://talk.manageiq.org/t/azure-provider-refresh-issue/1388/4, which has been merged with https://github.com/ManageIQ/manageiq/pull/8168 into upstream, fixes the issue.

Comment 3 Greg Blomquist 2016-05-12 14:05:59 UTC
This is technically already fixed in 5.6.  We'll need a clone of this bug for 5.5.z and the fix backported to the 5.5.z branch in gitlab.


Note You need to log in before you can comment on or make changes to this bug.